---
updatedAt: 2026-05-12T10:00:53.000Z
---

# Retrieve retest status for vulnerabilities

This operation returns an object containing information about the retest status of accessible vulns and their attack vectors. No query parameters are currently accepted.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "x-explorer-enabled": false,
  "info": {
    "title": "Vuln API (Legacy)",
    "license": {
      "name": "(c) Copyright 2020 WhiteHat Security"
    },
    "version": "1.0.0"
  },
  "servers": [
    {
      "url": "https://sentinel.whitehatsec.com"
    }
  ],
  "paths": {
    "/api/vuln/retest": {
      "get": {
        "tags": [
          "Vuln API v1.0"
        ],
        "summary": "Retrieve retest status for vulnerabilities",
        "description": "This operation returns an object containing information about the retest status of accessible vulns and their attack vectors. No query parameters are currently accepted.",
        "operationId": "getRetestStatus",
        "parameters": [
          {
            "name": "format",
            "in": "query",
            "description": "Requested resource format for the response.",
            "style": "form",
            "explode": true,
            "schema": {
              "type": "string",
              "default": "xml",
              "example": "json",
              "enum": [
                "xml",
                "json"
              ]
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Provides retest status information on all accessible vulns and their attack vectors.",
            "headers": {},
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/RetestCollection"
                }
              },
              "text/xml": {
                "example": "XML preview is currently not supported."
              }
            }
          },
          "400": {
            "description": "BadRequestResponse indicates a request with invalid parameters.",
            "content": {}
          },
          "401": {
            "description": "UnauthorizedResponse signals an unauthorized API access.",
            "content": {}
          },
          "403": {
            "description": "ForbiddenResponse signals a request for a resource that does not exist or is not authorized.",
            "content": {}
          },
          "500": {
            "description": "GenericError generic error.",
            "content": {}
          }
        },
        "deprecated": false
      }
    }
  },
  "components": {
    "schemas": {
      "Retest": {
        "type": "array",
        "items": {
          "properties": {
            "id": {
              "type": "string"
            },
            "status": {
              "type": "string"
            },
            "retest_state": {
              "type": "string"
            },
            "last_retest_date": {
              "type": "string"
            },
            "attack_vectors": {
              "type": "array",
              "items": {
                "properties": {
                  "id": {
                    "type": "string"
                  },
                  "retest_state": {
                    "type": "string"
                  }
                }
              }
            }
          }
        }
      },
      "RetestCollection": {
        "type": "object",
        "properties": {
          "retest": {
            "$ref": "#/components/schemas/Retest"
          }
        }
      }
    }
  },
  "x-readme": {
    "proxy-enabled": true
  }
}
```